Get Price List
Retrieves specific price list data with given id of given channel
Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequiredExample:
The channel ID of the resource.
5idintegerRequiredExample:
Unique identifier of the resource
1Responses
200
OK
application/json
pkinteger · int64Optional
Price List ID
namestring · max: 64OptionalExample:
Name of the price list.
Standard Price Listcodestring · max: 64 · nullableOptionalExample:
Unique code for the price list. Can be null or blank.
shop_price_listcurrencystring · enumOptionalExample:
Currency type for the price list.
tryPossible values: is_auto_syncbooleanOptionalDefault:
Indicates whether the price list is auto-synchronized with an external integration.
falseExample: truecreated_datestring · date-timeOptional
Creation Date of the Price List
modified_datestring · date-timeOptional
Last Modification Date of the Price List
401
Unauthorized Access
application/json
404
The given resource or object was not found or does not exist.
application/json
500
Server Error
get/api/v1/{channel_id}/price_lists/{id}/
GET /api/v1/{channel_id}/price_lists/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"pk": 1,
"name": "Standard Price List",
"code": "shop_price_list",
"currency": "try",
"is_auto_sync": true,
"created_date": "2026-01-01T00:00:00.000Z",
"modified_date": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

